> For the complete documentation index, see [llms.txt](https://docs.peoplelogic.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.peoplelogic.dev/api/universal-talent-api/apps.md).

# Apps

Apps represent a connection to another system - either external or internal - for example a CRM or HRIS.

## Create a new Application

> Create a new application integration record for the organization.

```json
{"openapi":"3.1.0","info":{"title":"Peoplelogic API","version":"1.0.0"},"tags":[{"name":"Apps","description":"Apps represent a connection to another system - either external or internal - for example a CRM or HRIS."}],"servers":[{"url":"https://api.peoplelogic.dev"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{},"schemas":{"AppRequest":{"type":"object","description":"Payload to create or replace an Application.","properties":{"type":{"type":"string"},"externalId":{"type":"string"},"internal":{"type":"boolean"},"name":{"type":"string"},"appData":{"type":"object","additionalProperties":{"type":"string"}},"secretData":{"type":"object","additionalProperties":{"type":"string"}}},"required":["type","externalId","internal","name"]},"App":{"type":"object","description":"An Application (integration) record.","properties":{"id":{"type":"string","format":"uuid"},"externalId":{"type":"string"},"internal":{"type":"boolean"},"name":{"type":"string"},"type":{"type":"string"},"active":{"type":"boolean"},"status":{"type":"object","properties":{"current":{"type":"string","enum":["ACTIVE","INACTIVE","DRAFT","COMPLETED","CANCELED","TEST","ARCHIVED","TO_BE_DELETED"]},"changedAt":{"type":"string","format":"date-time","nullable":true},"changedBy":{"type":"string","format":"uuid","nullable":true}}},"created":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string","format":"uuid","nullable":true}}},"organization":{"type":"string","format":"uuid"},"secretData":{"type":"object","additionalProperties":{"type":"string"}},"appData":{"type":"object","additionalProperties":{"type":"string"}}},"required":["type"]}}},"paths":{"/api/v1/app":{"post":{"tags":["Apps"],"summary":"Create a new Application","description":"Create a new application integration record for the organization.","operationId":"createApp","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AppRequest"}}}},"responses":{"201":{"description":"Application created successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/App"}}}},"400":{"description":"Bad Request – Invalid input."},"401":{"description":"Unauthorized – Missing or invalid JWT."},"403":{"description":"Forbidden – Insufficient permissions."}}}}}}
```

## Get Application

> Retrieve an Application by its ID.

```json
{"openapi":"3.1.0","info":{"title":"Peoplelogic API","version":"1.0.0"},"tags":[{"name":"Apps","description":"Apps represent a connection to another system - either external or internal - for example a CRM or HRIS."}],"servers":[{"url":"https://api.peoplelogic.dev"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{},"schemas":{"App":{"type":"object","description":"An Application (integration) record.","properties":{"id":{"type":"string","format":"uuid"},"externalId":{"type":"string"},"internal":{"type":"boolean"},"name":{"type":"string"},"type":{"type":"string"},"active":{"type":"boolean"},"status":{"type":"object","properties":{"current":{"type":"string","enum":["ACTIVE","INACTIVE","DRAFT","COMPLETED","CANCELED","TEST","ARCHIVED","TO_BE_DELETED"]},"changedAt":{"type":"string","format":"date-time","nullable":true},"changedBy":{"type":"string","format":"uuid","nullable":true}}},"created":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string","format":"uuid","nullable":true}}},"organization":{"type":"string","format":"uuid"},"secretData":{"type":"object","additionalProperties":{"type":"string"}},"appData":{"type":"object","additionalProperties":{"type":"string"}}},"required":["type"]}}},"paths":{"/api/v1/app/{app}":{"get":{"tags":["Apps"],"summary":"Get Application","description":"Retrieve an Application by its ID.","operationId":"getApp","responses":{"200":{"description":"Successful response with Application.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/App"}}}},"401":{"description":"Unauthorized – Missing or invalid JWT."},"403":{"description":"Forbidden – Insufficient permissions."},"404":{"description":"Not Found – No Application with this ID."}}}}}}
```

## Update Application (Partial)

> Update one or more fields of an existing Application.

```json
{"openapi":"3.1.0","info":{"title":"Peoplelogic API","version":"1.0.0"},"tags":[{"name":"Apps","description":"Apps represent a connection to another system - either external or internal - for example a CRM or HRIS."}],"servers":[{"url":"https://api.peoplelogic.dev"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{},"schemas":{"App":{"type":"object","description":"An Application (integration) record.","properties":{"id":{"type":"string","format":"uuid"},"externalId":{"type":"string"},"internal":{"type":"boolean"},"name":{"type":"string"},"type":{"type":"string"},"active":{"type":"boolean"},"status":{"type":"object","properties":{"current":{"type":"string","enum":["ACTIVE","INACTIVE","DRAFT","COMPLETED","CANCELED","TEST","ARCHIVED","TO_BE_DELETED"]},"changedAt":{"type":"string","format":"date-time","nullable":true},"changedBy":{"type":"string","format":"uuid","nullable":true}}},"created":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string","format":"uuid","nullable":true}}},"organization":{"type":"string","format":"uuid"},"secretData":{"type":"object","additionalProperties":{"type":"string"}},"appData":{"type":"object","additionalProperties":{"type":"string"}}},"required":["type"]}}},"paths":{"/api/v1/app/{app}":{"patch":{"tags":["Apps"],"summary":"Update Application (Partial)","description":"Update one or more fields of an existing Application.","operationId":"updateApp","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"type":{"type":"string"},"externalId":{"type":"string"},"internal":{"type":"boolean"},"name":{"type":"string"},"appData":{"type":"object","additionalProperties":{"type":"string"}},"secretData":{"type":"object","additionalProperties":{"type":"string"}}}}}}},"responses":{"200":{"description":"Application updated successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/App"}}}},"400":{"description":"Bad Request – Invalid patch data."},"401":{"description":"Unauthorized – Missing or invalid JWT."},"403":{"description":"Forbidden – Insufficient permissions."},"404":{"description":"Not Found – No Application with this ID."}}}}}}
```

## List Applications by Type

> Get all Applications of a given type for the organization.

```json
{"openapi":"3.1.0","info":{"title":"Peoplelogic API","version":"1.0.0"},"tags":[{"name":"Apps","description":"Apps represent a connection to another system - either external or internal - for example a CRM or HRIS."}],"servers":[{"url":"https://api.peoplelogic.dev"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{},"schemas":{"App":{"type":"object","description":"An Application (integration) record.","properties":{"id":{"type":"string","format":"uuid"},"externalId":{"type":"string"},"internal":{"type":"boolean"},"name":{"type":"string"},"type":{"type":"string"},"active":{"type":"boolean"},"status":{"type":"object","properties":{"current":{"type":"string","enum":["ACTIVE","INACTIVE","DRAFT","COMPLETED","CANCELED","TEST","ARCHIVED","TO_BE_DELETED"]},"changedAt":{"type":"string","format":"date-time","nullable":true},"changedBy":{"type":"string","format":"uuid","nullable":true}}},"created":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string","format":"uuid","nullable":true}}},"organization":{"type":"string","format":"uuid"},"secretData":{"type":"object","additionalProperties":{"type":"string"}},"appData":{"type":"object","additionalProperties":{"type":"string"}}},"required":["type"]}}},"paths":{"/api/v1/app/by-type/{type}":{"get":{"tags":["Apps"],"summary":"List Applications by Type","description":"Get all Applications of a given type for the organization.","operationId":"listAppsByType","responses":{"200":{"description":"A list of Application records of the specified type.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/App"}}}}},"400":{"description":"Bad Request – Missing or invalid type parameter."},"401":{"description":"Unauthorized – Missing or invalid JWT."},"403":{"description":"Forbidden – Insufficient permissions."}}}}}}
```

## Get Application by Type and External ID

> Retrieve an Application by its type and external identifier.

```json
{"openapi":"3.1.0","info":{"title":"Peoplelogic API","version":"1.0.0"},"tags":[{"name":"Apps","description":"Apps represent a connection to another system - either external or internal - for example a CRM or HRIS."}],"servers":[{"url":"https://api.peoplelogic.dev"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{},"schemas":{"App":{"type":"object","description":"An Application (integration) record.","properties":{"id":{"type":"string","format":"uuid"},"externalId":{"type":"string"},"internal":{"type":"boolean"},"name":{"type":"string"},"type":{"type":"string"},"active":{"type":"boolean"},"status":{"type":"object","properties":{"current":{"type":"string","enum":["ACTIVE","INACTIVE","DRAFT","COMPLETED","CANCELED","TEST","ARCHIVED","TO_BE_DELETED"]},"changedAt":{"type":"string","format":"date-time","nullable":true},"changedBy":{"type":"string","format":"uuid","nullable":true}}},"created":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string","format":"uuid","nullable":true}}},"organization":{"type":"string","format":"uuid"},"secretData":{"type":"object","additionalProperties":{"type":"string"}},"appData":{"type":"object","additionalProperties":{"type":"string"}}},"required":["type"]}}},"paths":{"/api/v1/app/by-type-id/{type}/{id}":{"get":{"tags":["Apps"],"summary":"Get Application by Type and External ID","description":"Retrieve an Application by its type and external identifier.","operationId":"getAppByTypeAndId","responses":{"200":{"description":"Application found and returned.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/App"}}}},"400":{"description":"Bad Request – Missing type or id parameter."},"401":{"description":"Unauthorized – Missing or invalid JWT."},"403":{"description":"Forbidden – Insufficient permissions."},"404":{"description":"Not Found – No Application with this type and external ID."}}}}}}
```

## List Application Mappings

> List all entity mappings for the specified Application.

```json
{"openapi":"3.1.0","info":{"title":"Peoplelogic API","version":"1.0.0"},"tags":[{"name":"Apps","description":"Apps represent a connection to another system - either external or internal - for example a CRM or HRIS."}],"servers":[{"url":"https://api.peoplelogic.dev"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{},"schemas":{"EntityAndMapping":{"type":"object","properties":{"entity":{"$ref":"#/components/schemas/EntityInfo"},"mapping":{"$ref":"#/components/schemas/EntityMapping"}},"required":["entity","mapping"]},"EntityInfo":{"type":"object","properties":{"entityId":{"type":"string","format":"uuid"},"type":{"type":"string"},"organization":{"type":"string","format":"uuid"}},"required":["entityId","type"]},"EntityMapping":{"type":"object","properties":{"app":{"type":"string","format":"uuid"},"namespace":{"type":"string"},"mappedId":{"type":"string"},"reference":{"type":"string"},"mappingData":{"type":"object","additionalProperties":{"type":"string"}},"mappingSecrets":{"type":"object","additionalProperties":{"type":"string"}}},"required":["app","mappedId","mappingData","mappingSecrets"]}}},"paths":{"/api/v1/app/{app}/mappings":{"get":{"tags":["Apps"],"summary":"List Application Mappings","description":"List all entity mappings for the specified Application.","operationId":"listAppMappings","responses":{"200":{"description":"A list of entity mappings for this Application.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EntityAndMapping"}}}}},"401":{"description":"Unauthorized – Missing or invalid JWT."},"403":{"description":"Forbidden – Insufficient permissions."},"404":{"description":"Not Found – Application ID not found."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.peoplelogic.dev/api/universal-talent-api/apps.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
